Bug 1300646 - (CVE-2016-0749) CVE-2016-0749 spice: heap-based memory corruption within smartcard handling
CVE-2016-0749 spice: heap-based memory corruption within smartcard handling
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20160606,repo...
: Security
Depends On: 1316491 1316492 1316493 1316495 1343137
Blocks: 1292834 1313499
  Show dependency treegraph
 
Reported: 2016-01-21 05:59 EST by Stefan Cornelius
Modified: 2016-12-09 01:24 EST (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A memory allocation flaw, leading to a heap-based buffer overflow, was found in spice's smartcard interaction, which runs under the QEMU-KVM context on the host. A user connecting to a guest VM using spice could potentially use this flaw to crash the QEMU-KVM process or execute arbitrary code with the privileges of the host's QEMU-KVM process.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-09 01:24:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Cornelius 2016-01-21 05:59:27 EST
A memory allocation flaw, leading to a heap-based buffer overflow was found in spice's smartcard interaction, which runs under the QEMU-KVM context on the host. A user connecting to a guest VM via spice could possibly exploit this flaw to crash the QEMU-KVM process, or, possibly, execute arbitrary code with the privileges of the host QEMU-KVM process.

Acknowledgements:

Name: Jing Zhao (Red Hat)
Comment 2 Christophe Fergeau 2016-01-26 09:03:17 EST
The RHEL7.3 bug is bug#1287969, the RHEL6 one is bug#1297786. Should they block this bug too?
Comment 5 Stefan Cornelius 2016-06-06 11:18:04 EDT
Created spice tracking bugs for this issue:

Affects: fedora-all [bug 1343137]
Comment 6 errata-xmlrpc 2016-06-06 11:55:22 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1205 https://access.redhat.com/errata/RHSA-2016:1205
Comment 7 errata-xmlrpc 2016-06-06 11:55:49 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:1204 https://access.redhat.com/errata/RHSA-2016:1204

Note You need to log in before you can comment on or make changes to this bug.